package com.cr.view

import android.content.Context
import android.util.AttributeSet
import android.view.MotionEvent
import android.view.ViewParent
import com.contrarywind.view.WheelView

/**
 * 操作系统：MAC系统
 * 创建者：王成
 * 创建日期：2023/3/30 14:17
 * 描述：滑动组件
 */
class CrViewWheel@JvmOverloads constructor(
    context: Context,
    attrs: AttributeSet? = null,
):WheelView(context,attrs) {
    /**
     * 重写该方法是为了拦截父控件的事件冲突
     * @param event MotionEvent 事件
     * @return Boolean 是否继续执行
     */
    override fun onTouchEvent(event: MotionEvent?): Boolean {
        if(event?.actionMasked == MotionEvent.ACTION_DOWN){
            var p:ViewParent  = parent;
            if(p != null){
                p.requestDisallowInterceptTouchEvent(true);
            }
        }
        return super.onTouchEvent(event);
    }
}